 /* 
 * Модуль  onlineSchetmashModule, подключается на странице настроек плагина.
 */
var onlineSchetmashModule = (function() {

  return {
    lang: [], // локаль плагина 
    init: function () {
        // установка локали плагина
        admin.ajaxRequest({
            mguniqueurl: "action/seLocalesToPlug",
            pluginName: 'online-schetmash'
          },
          function(response) {
            onlineSchetmashModule.lang = response.data;
          }
        );

        // Удаляет чек
        $('.admin-center').on('click', '.section-online-schetmash .delete-check', function() {
        var id = $(this).data('id');
        onlineSchetmashModule.deleteEntity(id);
        });

        //Добавляет чек
        $('.admin-center').on('click', '.section-online-schetmash .add-check .add-check-button', function() {
            var order_id = $('.section-online-schetmash .add-check input[name=orderId]').val();
            var type = $('.section-online-schetmash .add-check select[name=type]').val();
            //console.log(type);
            onlineSchetmashModule.addEntity(order_id,type);
        });

        // Обновляет чек со статусом "нет связи"
        $('.admin-center').on('click', '.section-online-schetmash .add-update-check', function() {

            var id = $(this).data('id');
            var orderId = $(this).data('order-id');
            var type = $(this).data('type');

            onlineSchetmashModule.addEntity(orderId,type,id);
        });

        //Обновляет чек
        $('.admin-center').on('click', '.section-online-schetmash .update-check', function() {
            var uuid = $(this).data('uuid');
            onlineSchetmashModule.updateEntity(uuid);
        });

        // Сохраняет базовые настроки запись
        $('.admin-center').on('click', '.section-online-schetmash .base-setting-save', function() {

            var obj = '{';
            $('.list-option input, .list-option select').each(function() {
                obj += '"' + $(this).attr('name') + '":"' + $(this).val() + '",';
            });
            obj += '}';

            //преобразуем полученные данные в JS объект для передачи на сервер
            var data =  eval("(" + obj + ")");

            data.shopid = $(".base-settings input[name=shopid]").val();
            data.bindlogin = $(".base-settings input[name=bindlogin]").val();
            data.bindpass = $(".base-settings input[name=bindpass]").val();
            data.payments = $(".base-settings select[name=payments]").val();
            data.checkinput = $(".base-settings select[name=checkinput]").val();
            //data.checkoutput = $(".base-settings select[name=checkoutput]").val();
            data.tax = $(".base-settings select[name=tax]").val();
            admin.ajaxRequest({
                    mguniqueurl: "action/saveBaseOption", // действия для выполнения на сервере
                    pluginHandler: 'online-schetmash', // плагин для обработки запроса
                    data: data // id записи
                },

                function(response) {
                    admin.indication(response.status, response.msg);
                }

            );

        });
    },
      /**
       * Удаляет  строку сущности в главной таблице
       * @param {type} data - данные для вывода в строке таблицы
       */
      deleteEntity: function(id) {
          if(!confirm(lang.DELETE+'?')){
              return false;
          }

          admin.ajaxRequest({
                  mguniqueurl: "action/deleteEntity", // действия для выполнения на сервере
                  pluginHandler: 'online-schetmash', // плагин для обработки запроса
                  id: id
              },

              function(response) {
                  admin.indication(response.status, response.msg);
                  $('.entity-table-tbody tr[data-id='+id+']').remove();
                  admin.refreshPanel();
              }

          )
      },
      addEntity: function(orderId,type,id) {
          admin.ajaxRequest({
                  mguniqueurl: "action/addCheck", // действия для выполнения на сервере
                  pluginHandler: 'online-schetmash', // плагин для обработки запроса
                  order_id: orderId,
                  type: type,
                  update: id
              },
              function(response) {
                  admin.indication(response.status, response.msg);
                  admin.refreshPanel();
              }
          )
      },
      updateEntity: function(uuid) {
          admin.ajaxRequest({
                  mguniqueurl: "action/updateCheck", // действия для выполнения на сервере
                  pluginHandler: 'online-schetmash', // плагин для обработки запроса
                  uuid: uuid
              },
              function(response) {
                  admin.indication(response.status, response.msg);
                  admin.refreshPanel();
              }
          )
      }
  }
})();

onlineSchetmashModule.init();
admin.sortable('.entity-table-tbody', 'online-schetmash');