<?php
$lang = array(
    'ENTITY_COUNT' => 'Количество',
    'HEADER_MODAL_ADD' => 'Редактор',
    'CLOSE_MODAL' => 'Закрыть',
    'SAVE_BASE' => 'Базовые настройки сохранены',
    'NOT_SAVE_BASE' => 'Не удалось сохранить базовые настройки',
    'SAVE_MODAL' => 'Сохранить',
    'ENTITY_SAVE' => 'Cохранено успешно',
    'ENTITY_DEL_NOT' => 'Не удалось сохранить',
    'ENTITY_DEL' => 'Сущность удалена',
    'ENTITY_NONE'=>'Отсутствуют записи',
    'ENTITY_SAVE_NOT' => 'Не удалось удалить сущность',
    'ADD_MODAL' => 'Добавить запись',
    'ACT_V_ENTITY' => 'Включен',
    'ACT_UNV_ENTITY' => 'Выключен',
    'NOT_CONFIRMED'=> 'не подтвержден',
    'EXPECTS_PAYMENT'=> 'ожидает оплаты',
    'PAID'=> 'оплачен',
    'IN_DELIVERY'=> 'в доставке',
    'CANSELED'=> 'отменен',
    'EXECUTED'=> 'выполнен',
    'PROCESSING'=> 'в обработке',

    // Heading
    'HEADING_TITLE'              => 'Счётмаш онлайн',
    'SCHETMASH_HEADING_TITLE'    => 'Счётмаш онлайн',
    'HEADING_TITLE_SETTINGS'     => 'Настройки',
    'HEADING_TITLE_CHECKS'       => 'Список чеков',
    'HEADING_TITLE_ADD'          => 'Добавить чек',
    'HEADING_TITLE_MANUAL'       => 'Документация',

    // Text
    'TEXT_EXTENSION'             => 'Расширения',
    'TEXT_SUCCESS'               => 'Настройки успешно изменены!',
    'TEXT_EDIT'                  => 'Настройки модуля',
    'TEXT_SNO_OSN'               => 'Общая',
    'TEXT_SNO_USN'               => 'Упрощенная доход',
    'TEXT_SNO_USN_RASH'          => 'Упрощенная доход минус расход',
    'TEXT_SNO_ENWD'              => 'Единый налог на вмененный доход',
    'TEXT_SNO_ESN'               => 'Единый сельскохозяйственный налог',
    'TEXT_SNO_PATENT'            => 'Патентная система налогообложения',

    // Entry
    'ENTRY_STATUS'               => 'Статус',
    'ENTRY_SHOP_ID'              => 'id магазина',
    'ENTRY_PAYMENTS'             => 'Способы оплаты, при которых печатать чек',
    'ENTRY_ZREPORT'              => 'Закрытие смены',
    'ENTRY_XREPORT'              => 'X отчёт',
    'ENTRY_SCHETMASH_PASSWORD'   => 'Пароль',
    'ENTRY_LOGIN'                => 'Логин',
    'ENTRY_SNO'                  => 'Cистема налогообложения',
    'ENTRY_NDS'                  => 'НДС',
    'ENTRY_OPEN'                 => 'Открытие смены',
    'ENTRY_STATUS_KKM'           => 'Состояние кассы',
    'ENTRY_ORDERID'              => 'Номер заказа',
    'ENTRY_SELL'                 => 'Статусы при которых печатать чек прихода',
    'ENTRY_REFUND'               => 'Статусы при которых печатать чек возврата',

    // Error
    'ERROR_PERMISSION'           => 'У Вас нет прав для управления данным модулем!',
    'ERROR_EMPTY_PARAMS'         => 'Не заполнены все обязательные поля!',

    //Check
    'FISCAL_DOCUMENT_NUMBER'     => 'Фискальный номер документа',
    'FISCAL_RECEIPT_NUMBER'      => 'Номер чека в смене',
    'FISCAL_DOCUMENT_ATTRIBUTE'  => 'Фискальный признак документа',
    'TOTAL'                      => 'Сумма',
    'FNS_SITE'                   => 'Адрес сайта ФНС',
    'ECR_REGISTRATION_NUMBER'    => 'Регистрационный номер ККТ',
    'FN_NUMBER'                  => 'Номер ФН',
    'RECEIPT_DATETIME'           => 'Дата и время документа из ФН',
    'SHIFT_NUMBER'               => 'Номер смены',
    'SYSTEM'                     => 'системная ошибка',
    'DRIVER'                     => 'ошибка при работе с ККТ',

    //Statuses
    'STATUS_SUCCESS'             => 'Напечатан',
    'STATUS_NO_CONN'             => 'Нет связи',
    'STATUS_ACCEPT'              => 'Чек отправлен в ККТ',
    'STATUS_FAIL'                => 'Ошибка',

    //Types
    'TYPE_SELL'                  => 'Приход',
    'TYPE_SELL_REFUND'           => 'Возврат прихода',
    'TYPE_SELL_CORRECTION'       => 'Коррекция прихода',
    'TYPE_BUY'                   => 'Расход',
    'TYPE_BUY_REFUND'            => 'Возврат расхода',
    'TYPE_BUY_CORRECTION'        => 'Коррекция расхода',

    //Messages
    'MESS_ERR_PHONE_MAIL'       => 'Должны быть заполнены телефон или email!',
    'MESS_ERR_SHOP_ID'          => 'Не заполнен shopId!',
    'MESS_ERR_LOGIN_PASS'       => 'Логин или пароль не заполнены!',
    'MESS_ERR_TOKEN'            => 'Не удалось получить токен!',
    'MESS_ERR_SERVER'           => 'Сервер вернул ошибку!',
    'MESS_ERR_SERVER_CODE'      => 'Сервер вернул ошибку! Код ошибки: ',
    'MESS_ERR_CHECK_ALREADY'    => 'Чек по этому заказу и c этой операцией уже печатался!',
    'MESS_ERR_ORDER_NOT_FOUND'  => 'Заказ не найден!',
    'MESS_ERR_CHOOSE_PAYMENT'   => 'Этот способ оплаты не выбран для печати чеков',
    'MESS_ERR_CHOOSE_STATUS'    => 'Этот статус заказа не выбран для печати чеков прихода',
    'MESS_ERR_CHECK_NOT_ADD'    => 'Чек не добавлен в таблицу',


    'MESS_INFO_CHECK_ADD'       =>'Чек добавлен',
);